import { BaseProvider } from '#templates/base/provider';
import { ActiveUser } from '#models/ActiveUser';

export class ActiveUserProvider extends BaseProvider<ActiveUser> {
	public static instance: ActiveUserProvider;

	public static getInstance(): ActiveUserProvider {
		ActiveUserProvider.instance ??= new ActiveUserProvider();
		return ActiveUserProvider.instance;
	}

	public static get model() {
		return ActiveUser;
	}

	constructor() {
		super('ActiveUser');
	}
}
